> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Departure

> Remove a departure from a product and refresh availability.

## Method

`DELETE` `/v1/departures/:id`

## Path Parameters

<ParamField path="id" type="uuid">Departure ID.</ParamField>

## Query Parameters

<ParamField query="productId" type="uuid">Product ID associated with the departure (required).</ParamField>

## Headers

<ParamField header="Authorization" type="string">Bearer token (e.g. <code>Authorization: Bearer YOUR\_API\_KEY</code>)</ParamField>

## Request Example

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.voyantcloud.com/v1/departures/dep_456?productId=prod_123" \
    -H "Authorization: Bearer $VOYANT_API_KEY"
  ```

  ```javascript Node.js theme={null}
  await fetch("https://api.voyantcloud.com/v1/departures/dep_456?productId=prod_123", {
    method: "DELETE",
    headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
  })
  ```

  ```python Python theme={null}
  import os, requests

  requests.delete(
    "https://api.voyantcloud.com/v1/departures/dep_456",
    params={"productId": "prod_123"},
    headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
  )
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json 200 OK theme={null}
  { "ok": true }
  ```
</ResponseExample>
